import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import "./plugins/element.js";
import moment from "moment"; //导入文件
import Mixin from "./mixins";
import numeral from 'numeral';
import preview from "vue-photo-preview";
import "vue-photo-preview/dist/skin.css";
import * as VueWindow from "@hscmap/vue-window";

import VueAwesomeSwiper from "vue-awesome-swiper";
import ToggleButton from 'vue-js-toggle-button';
import ImageShow from './scripts/component.js'

import "swiper/dist/css/swiper.css";



Vue.prototype.$moment = moment; //赋值使用
Vue.prototype.numeral = numeral;
Vue.config.productionTip = false;
Vue.mixin(Mixin);
Vue.use(preview);
Vue.use(VueWindow);
Vue.use(VueAwesomeSwiper as any);
Vue.use(ToggleButton)
Vue.use(ImageShow)




export default Vue.prototype.bus = new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
